# Note that this is NOT a relocatable package
%define ver      0.3
%define rel      8
%define prefix   /usr

Summary: Electric Eyes
Name: ee
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: ftp://ftp.gnome.org/pub/ee-%{ver}.tar.gz
Patch:ee-rootpix.patch
BuildRoot: /var/tmp/ee-root
URL: http://www.gnome.org
Docdir: %{prefix}/doc
Requires: imlib >= 1.8
#Obsoletes: gnome-graphics <= 0.20

%description
The Electric Eyes image viewer lets you view and manipulate
images in a variety of formats.

%prep
%setup -q
%patch -p1 

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-gnome=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/ee

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/gnome/help/ee
%{prefix}/share/locale/*/*/*
%{prefix}/share/apps/*

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary
- rebuild with msf's rootpix patch to allow --root to work

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- add again the Obsoletes tag (commented out)
- rebuild to link against the static gnome-libs

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
